Subject: [Lsr] draft-ietf-ospf-lls-interface-id-04 Shepherd review

From: Yingzhen Qu <[email-masked]>
Date: Sun, 8 Jul 2018 22:41:09 +0000

Dear authors,

I have done shepherd review of draft-ietf-ospf-lls-id-04 as requested by LSR chairs. I’d like to thank all authors for their contributions on this document, also people who have reviewed this document and provided valuable comments and discussions.

The document is well written and ready for publication.

IDNITS check found a couple of nits:

  Miscellaneous warnings:
  ----------------------------------------------------------------------------

  ** The document contains RFC2119-like boilerplate, but doesn't seem to
     mention RFC 2119.  The boilerplate contains a reference [BCP14], but that
     reference does not seem to mention RFC 2119 either.

  -- The document date (July 1, 2018) is 7 days in the past.  Is this
     intentional?

  Checking references for intended status: Proposed Standard
  ----------------------------------------------------------------------------

     (See RFCs 3967 and 4897 for information about using normative references
     to lower-maturity documents in RFCs)

  == Unused Reference: 'ISO10589' is defined on line 200, but no explicit
     reference was found in the text
     '[ISO10589] International Organization for Standardization, "Intermed...'

  -- Possible downref: Non-RFC (?) normative reference: ref. 'BCP14'

  -- Possible downref: Non-RFC (?) normative reference: ref. 'ISO10589'

     Summary: 1 error (**), 0 flaws (~~), 1 warning (==), 3 comments (--).

--------------------------------------------------------------------------------

Thanks,
Yingzhen

---

From: Peter Psenak <[email-masked]>
Date: Mon, 09 Jul 2018 11:14:23 +0200

Hi Yingzhen,

thanks for your review.

As regards to first IDNITS warning, not sure about the first one, I took 
the section "Requirements Language" from RFC8395 as suggested by Loa. 
RFC2119 is only referenced there, that should not be a problem though.

I removed the reference to ISO10589.

thanks,
Peter

On 09/07/18 00:41 , Yingzhen Qu wrote:
> Dear authors,
>
> I have done shepherd review of draft-ietf-ospf-lls-id-04 as requested by
> LSR chairs. I’d like to thank all authors for their contributions on
> this document, also people who have reviewed this document and provided
> valuable comments and discussions.
>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 9 Jul 2018 11:36:41 +0000

Hi Peter, 

The new boiler plate for requirements language, with references to both RFC 2119 and RFC 8174, is:

1.1.  Requirements Language

   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
   "OPTIONAL" in this document are to be interpreted as described in BCP
   14 [RFC2119] [RFC8174] when, and only when, they appear in all
   capitals, as shown here.

This should resolve the IDNITS warning. 

Thanks,
Acee

On 7/9/18, 5:14 AM, "Peter Psenak (ppsenak)" <[email-masked]> wrote:

    Hi Yingzhen,
    
    thanks for your review.

    
    thanks,
    Peter

---

From: Peter Psenak <[email-masked]>
Date: Mon, 09 Jul 2018 14:26:03 +0200

Hi Acee,

that is exactly what I have in the draft.

thanks,
Peter

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 9 Jul 2018 12:29:53 +0000

Hi Peter, 

Strange, I'd remove the reference to [BCP14] since RFC 8174 and BCP 14 are the same document. I'm going to request publication as this certainly isn't enough to delay for an update. 

Thanks,
Acee 

On 7/9/18, 8:26 AM, "Peter Psenak (ppsenak)" <[email-masked]> wrote:

    Hi Acee,

    thanks,
    Peter

---

From: Loa Andersson <[email-masked]>
Date: Mon, 9 Jul 2018 16:13:07 +0200

Folks,

I agree - no reason to delay!

There is one small difference between what is in the document and what 
is in the RFC I pointed to

The document has "...as described in [BCP 14] [RFC2119] [RFC8174]..."

While RFC has "...as described in BCP 14 [RFC2119] [RFC8174]..."

The reference list in the RFC do not have BCP 14 listed as a reference.
I don't know if this helps.

Acee

BCP 14 is both [RFC2119] and [RFC8174].

/Loa

On 2018-07-09 14:29, Acee Lindem (acee) wrote:
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr
> 

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 9 Jul 2018 14:14:50 +0000

Hi Loa, 

Yes - I think that is precisely the reason for the idnit warning. 

Thanks,
Acee

On 7/9/18, 10:13 AM, "Loa Andersson" <[email-masked]> wrote:

    Folks,

    

    
    Acee

    /Loa

    --

---

From: Peter Psenak <[email-masked]>
Date: Mon, 09 Jul 2018 17:12:03 +0200

Hi Loa,

thanks for pointing that out.
I'll fix it.

thanks,
Peter

On 09/07/18 16:13 , Loa Andersson wrote:
>> Strange, I'd remove the reference to [BCP14] since RFC 8174 and BCP 14
>> are the same document. I'm going to request publication as this
>> certainly isn't enough to delay for an update.
>>
>> Thanks,
>> Acee
>>
>>      >      >       mention RFC 2119.  The boilerplate contains a
>> reference [BCP14],
>>      >      > but that
>>      >      >
>>      >      >       (See RFCs 3967 and 4897 for information about
>> using normative
>>      >      > references
>>      >      >
>>      >      >       '[ISO10589] International Organization for
>> Standardization,
>>      >      > "Intermed...'
>>      >      >